Delete Single Document Version
Delete a specific version of a document, including the version's source file and viewable rendition. Other versions of the document remain unchanged. See also Delete Single Document.
DELETE
/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or text/csv |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{doc_id} | The document id field value. |
{major_version} | The document major_version_number__v field value. |
{minor_version} | The document minor_version_number__v field value. |
Request
Section link for Requestcurl -X DELETE -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/objects/documents/534/versions/0/2Response
Section link for Response{
"responseStatus": "SUCCESS",
"id": 534
}